Page MenuHomeFreeBSD

devel/pear: Not PHP72 ready
ClosedPublic

Authored by joneum on Nov 24 2017, 7:07 PM.

Details

Summary

add patch-php72, now devel/pear is PHP 7.2 ready

Approved by: xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Test Plan

Build fine with PHP70 and 71, but not with 72:

http://joneumbox.org/data/11-1_amd64-PHP72-ports/2017-11-24_20h03m17s/logs/errors/pear-1.10.5.log
http://joneumbox.org/data/11-1_i386-PHP72-ports/2017-11-24_20h03m17s/logs/errors/pear-1.10.5.log

For info: The days, I will test all my pear and peacl ports with PHP70, 71 and 72

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

joneum created this revision.Nov 24 2017, 7:07 PM

MFH: 2017Q4 -- does that even have 72?

joneum edited the summary of this revision. (Show Details)Nov 24 2017, 7:32 PM

MFH: 2017Q4 -- does that even have 72?

ährm ..... nopp ... :D https://svnweb.freebsd.org/changeset/ports/454302
I deleted it

I see that fedora has the pear package for php72:
https://www.rpmfind.net/linux/RPM/remi/fedora/27/x86_64/php72-php-pear-1.10.5-2.fc27.remi.noarch.html

So maybe take a peak at what they do, copy it, and don't marke it ignored :)

[probably there are other distros to steal/take inspriation from too]

I have already looked at this page today and found nothing that would help me further

Hi Miwi,

I added you here once. You built that pear back then. Do you have any idea here to fix this with PHP 72?

https://github.com/pear/Archive_Tar/commit/772f7d0ffaf225d575ac1feca44eefcd4a9b144e

you need this one

#  cat patch-git_772f7d
From 85ebf1e6190681820634c891af624bacde49a017 Mon Sep 17 00:00:00 2001
From: Andy Thompson <me@andytson.com>
Date: Sun, 11 Jun 2017 09:25:12 +0100
Subject: [PATCH] Remove unneeded by-reference on built-in fuction

PHP 7.2 is complaining about this. It also doesn't appear to be
needed, as the argument array items aren't being passed by-reference.
---
 Archive/Tar.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Archive/Tar.php b/Archive/Tar.php
index 202fffb..0bd1c6c 100644
--- go-pear-bundle/Tar.php
+++ go-pear-bundle/Tar.php
@@ -659,7 +659,7 @@ public function setAttribute()
         }

         // ----- Get the arguments
-        $v_att_list = & func_get_args();
+        $v_att_list = func_get_args();

         // ----- Read the attributes
         $i = 0;
tcberner added inline comments.Nov 24 2017, 10:20 PM
devel/pear/Makefile
15 ↗(On Diff #35708)

^ add patch, get rid of this :D

tcberner requested changes to this revision.Nov 24 2017, 10:20 PM
This revision now requires changes to proceed.Nov 24 2017, 10:20 PM
joneum updated this revision to Diff 36069.Dec 1 2017, 9:31 PM

add patch-php72, devel/pear is now php72 ready

#PHP56
11.1-amd64
11.1-i386

#PHP7.0
11.1-amd64-PHP70
11.1-i386-PHP70

#PHP7.1
11.1-amd64-PHP71
11.1-i386-PHP71

#PHP7.2
11.1-amd64-PHP72
11.1-i386-PHP72

joneum edited the summary of this revision. (Show Details)Dec 1 2017, 9:32 PM
tcberner accepted this revision.Dec 1 2017, 10:02 PM

You need to bump the PORTREVISION as this clearly changes the files in the installed package :)

After that, ship it.

This revision is now accepted and ready to land.Dec 1 2017, 10:02 PM
This revision was automatically updated to reflect the committed changes.